be.fgov.ehealth.standards.kmehr.cd.v1

## Enum CDBEARINGSURFACEvalues

- java.lang.Object
- - java.lang.Enum<CDBEARINGSURFACEvalues>
  - - be.fgov.ehealth.standards.kmehr.cd.v1.CDBEARINGSURFACEvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDBEARINGSURFACEvalues>

      public enum CDBEARINGSURFACEvalues
      extends Enum<CDBEARINGSURFACEvalues>

  Java class for CD-BEARING-SURFACEvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-BEARING-SURFACEvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="metalpoly"/>
           <enumeration value="cerampoly"/>
           <enumeration value="metalmetal"/>
           <enumeration value="ceramceram"/>
           <enumeration value="other"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CERAMCERAM`
    `CERAMPOLY`
    `METALMETAL`
    `METALPOLY`
    `OTHER`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDBEARINGSURFACEvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDBEARINGSURFACEvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDBEARINGSURFACEvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### METALPOLY

          public static final CDBEARINGSURFACEvalues METALPOLY

    - #### CERAMPOLY

          public static final CDBEARINGSURFACEvalues CERAMPOLY

    - #### METALMETAL

          public static final CDBEARINGSURFACEvalues METALMETAL

    - #### CERAMCERAM

          public static final CDBEARINGSURFACEvalues CERAMCERAM

    - #### OTHER

          public static final CDBEARINGSURFACEvalues OTHER

  - ### Method Detail

    - #### values

          public static CDBEARINGSURFACEvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDBEARINGSURFACEvalues c : CDBEARINGSURFACEvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDBEARINGSURFACEvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDBEARINGSURFACEvalues fromValue(String v)

Connector Package PERSMIDWIFE 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.